ByteBufferBackedInputStream
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Class ByteBufferBackedInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.fasterxml.jackson.databind.util.ByteBufferBackedInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class ByteBufferBackedInputStream
      extends java.io.InputStream

  Simple `InputStream` implementation that exposes currently available content of a `ByteBuffer`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.nio.ByteBuffer` | `_b`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferBackedInputStream(java.nio.ByteBuffer buf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `int` | `read()`
    `int` | `read(byte[] bytes, int off, int len)`

    - ### Methods inherited from class java.io.InputStream

      `close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _b

          protected final java.nio.ByteBuffer _b

  - ### Constructor Detail

    - #### ByteBufferBackedInputStream

          public ByteBufferBackedInputStream(java.nio.ByteBuffer buf)

  - ### Method Detail

    - #### available

          public int available()

      Overrides:
        `available` in class `java.io.InputStream`

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] bytes,
                 int off,
                 int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`